import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { AbstractControl, FormGroup } from '@angular/forms';
import { TooltipPosition } from '@angular/material/tooltip';
import { SaffronDataType } from '../_18-saffron-models/saffron-data-type';
import * as i0 from "@angular/core";
export declare class SaffronInputComponent implements OnChanges {
    dataType: SaffronDataType;
    formGroup: FormGroup;
    controlName: string;
    placeholder: string;
    min: number;
    max: number;
    isButton: boolean;
    isReadOnly: boolean;
    icon: string;
    tooltip: string;
    position: TooltipPosition;
    maxlength: number;
    showLength: boolean;
    showToPersian: boolean;
    onClick: EventEmitter<string | number>;
    enterPressed: EventEmitter<string | number>;
    control?: AbstractControl;
    SaffronDataType: typeof SaffronDataType;
    inputValue: string | number;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    private setControl;
    onButtonClicked(): void;
    onEnterPressed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronInputComponent, "saffron-input", never, { "dataType": { "alias": "dataType"; "required": false; }; "formGroup": { "alias": "formGroup"; "required": false; }; "controlName": { "alias": "controlName"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "isButton": { "alias": "isButton"; "required": false; }; "isReadOnly": { "alias": "isReadOnly"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "position": { "alias": "position"; "required": false; }; "maxlength": { "alias": "maxlength"; "required": false; }; "showLength": { "alias": "showLength"; "required": false; }; "showToPersian": { "alias": "showToPersian"; "required": false; }; }, { "onClick": "onClick"; "enterPressed": "enterPressed"; }, never, never, true, never>;
}
